#!/bin/env python 

import gtk
import gtk.glade

class Splash:

  window = None

  def __init__(self):
    self.window = gtk.Window()
    self.window.set_title("splash-swallow")
    self.window.set_decorated(False)
    pixbuf = gtk.gdk.pixbuf_new_from_file("./tonight-splash.png") 
    pixmap, mask = pixbuf.render_pixmap_and_mask()    
    width, height = pixmap.get_size()
    del pixbuf
    self.window.set_app_paintable(gtk.TRUE)
    self.window.resize(width, height)
    self.window.realize()
    self.window.window.set_back_pixmap(pixmap, gtk.FALSE)
    del pixmap



  def open_for(self,timeout):
    self.window.show()
    while gtk.events_pending():
      gtk.main_iteration()

    gtk.timeout_add(timeout * 1000, self.close)
    #gtk.idle_add(setup_app)
    gtk.mainloop()

  def close(self):
    self.window.hide()
    gtk.main_quit()

if __name__ == "__main__":
  splash = Splash()
  splash.open_for(4)

